Bug 1462801 - Openshift refresh crashes due to template.objects being nil
Openshift refresh crashes due to template.objects being nil
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.8.1
Assigned To: zakiva
Pavel Zagalsky
containers
: ZStream
Depends On: 1461785
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 10:53 EDT by Satoe Imaishi
Modified: 2017-08-02 13:32 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1461785
Environment:
Last Closed: 2017-08-02 13:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-19 11:01:03 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/d225fa0003a7f5b77d048f634290de796d37c195

commit d225fa0003a7f5b77d048f634290de796d37c195
Author:     Mooli Tayer <mtayer@redhat.com>
AuthorDate: Mon Jun 19 13:01:50 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 19 10:55:26 2017 -0400

    Merge pull request #24 from zakiva/fix_nil_objects
    
    Fix parsing for Container Template without objects
    (cherry picked from commit 7ff46d374a68156d4a27c2531e7db5bce503c53b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1462801

 .../openshift/container_manager/refresh_parser.rb  |  2 +-
 .../container_manager/refresh_parser_spec.rb       | 22 ++++++++++++++++++++++
 2 files changed, 23 insertions(+), 1 deletion(-)
Comment 3 Pavel Zagalsky 2017-07-04 03:56:22 EDT
Doesn't happen on 5.8.1.0 with a created template that has empty values
Comment 5 errata-xmlrpc 2017-08-02 13:32:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.